<div>
    <h2>
        <span id="user-management-page-heading" jhiTranslate="userManagement.home.title">Users</span>
        <button class="btn btn-primary float-right jh-create-entity" [routerLink]="['./new']">
            <fa-icon [icon]="'plus'"></fa-icon> <span jhiTranslate="supply.createLabel">Create a new User</span>
        </button>
    </h2>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <div class="table-responsive" *ngIf="supplies">
        <table class="table table-striped" aria-describedby="user-management-page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="transition.bind(this)">
<!--                <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>-->
                <th scope="col"  jhiSortBy="name"><span jhiTranslate="userManagement.login">Login</span> <fa-icon [icon]="'sort'"></fa-icon></th>
                <th scope="col"  jhiSortBy="amount"><span jhiTranslate="userManagement.email">Email</span> <fa-icon [icon]="'sort'"></fa-icon></th>
                <th scope="col"  jhiSortBy="expirationDate"> <span jhiTranslate="userManagement.langKey">Lang Key</span> <fa-icon [icon]="'sort'"></fa-icon></th>
<!--                <th scope="col"></th>-->
            </tr>
            </thead>
            <tbody *ngIf ="supplies">
            <tr *ngFor="let supply of supplies; trackBy: trackIdentity">
<!--                <td><a [routerLink]="['./', supply.id, 'view']">{{supply.id}}</a></td>-->
                <td>{{supply.productDto.name}}</td>
                <td>{{supply.amount}}</td>
                <td>{{supply.expirationDate}}</td>
<!--                <td class="text-right">-->
<!--                    <div class="btn-group">-->
<!--                        <button type="submit"-->
<!--                                [routerLink]="['./', user.login, 'view']"-->
<!--                                class="btn btn-info btn-sm">-->
<!--                            <fa-icon [icon]="'eye'"></fa-icon>-->
<!--                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>-->
<!--                        </button>-->
<!--                        <button type="submit"-->
<!--                                [routerLink]="['./', user.login, 'edit']"-->
<!--                                queryParamsHandling="merge"-->
<!--                                class="btn btn-primary btn-sm">-->
<!--                            <fa-icon [icon]="'pencil-alt'"></fa-icon>-->
<!--                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>-->
<!--                        </button>-->
<!--                        <button type="button" (click)="deleteUser(user)"-->
<!--                                class="btn btn-danger btn-sm" [disabled]="!currentAccount || currentAccount.login === user.login">-->
<!--                            <fa-icon [icon]="'times'"></fa-icon>-->
<!--                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>-->
<!--                        </button>-->
<!--                    </div>-->
<!--                </td>-->
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="supplies">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
